- Run an AI Cloth V3 task.
AI tasks are asynchronous. Prefer webhook-based completion handling when the feature supports webhooks. Configure your webhook endpoint, verify webhook signatures, and use the received task_id to query the task result after a success or error notification. See the webhook integration guide for setup and verification details.
If webhooks are not supported or cannot be used in your integration, implement polling. After submitting an AI task, poll the status endpoint at regular intervals (e.g., every 10 seconds) until the task status is success or error.
Control whether shoes should be swapped when a full body reference image with shoes is available for processing.
Have effect when garment_category is full_body or lower_body
Url of the file to run task. The url should be publicly accessible.
Url of the reference file to run task. The url should be publicly accessible.
- any
- any (2)
- any (3)
- any (4)
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/cloth-v3 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"ref_file_url": "https://example.com/accessory.jpg",
"garment_category": "full_body",
"change_shoes": true
}'{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }